#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <newt.h>
void reboot(void);
#define TITLE "SmoothWall v1.0"

#define STRING_SIZE 256

#define IDE_EMPTY 0
#define IDE_CDROM 1
#define IDE_HD 2
#define IDE_UNKNOWN 3

struct devparams
{
	char devnode[STRING_SIZE];
	int module;
	char modulename[STRING_SIZE];
	char options[STRING_SIZE];
};

struct networkparams
{
	char modulename[STRING_SIZE];
	char options[STRING_SIZE]; /* unused. */
	char address[STRING_SIZE];
	char netaddress[STRING_SIZE];
	char netmask[STRING_SIZE];
};

/* main.c */
void reboot(void);
void stripnl(char *s);
int mysystem(char *command);
void errorbox(char *message);
void statuswindow(int width, int height, char *title, char *text, ...);
int runcommandwithprogress(int width, int height, char *title, char *command,
	int lines, char *text, ...);
int runcommandwithstatus(char *command, char *message);

/* ide.c */
int checkide(char letter);
char findidetype(int type);

/* cdrom.c */
int cdrommenu(struct devparams *p);

/* nic.c */
int networkmenu(struct networkparams *p);

/* net.c */
int downloadtarball(void);

/* config.c */
int writeconfigs(struct devparams *dp, struct networkparams *np);
